Summary:	Modern desktop calculator
Summary(pl.UTF-8):	Nowoczesny kalkulator
Name:		qalculate-gtk
Version:	5.1.0
Release:	2
License:	GPL
Group:		Applications/Math
Source0:	https://github.com/Qalculate/qalculate-gtk/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	bfeb597dfe7b8d8a79c3bc0c849ee960
URL:		https://qalculate.github.io/
BuildRequires:	automake
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	glib2-devel >= 2.4
BuildRequires:	gtk+3-devel >= 3.12
BuildRequires:	intltool
BuildRequires:	libqalculate-devel >= 5.1.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.3.8
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.000
Requires(post,postun):	scrollkeeper
Requires:	libqalculate >= 5.1.0
Suggests:	gnuplot
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qalculate is a modern multi-purpose desktop calculator. It is small
and simple to use but with much power. Features include arbitrary
precision, plotting, and a graphical interface (GTK+).

%description -l pl.UTF-8
Qalculate jest nowoczesnym, wielozadaniowym kalkulatorem. Jest mały i
prosty w użyciu, lecz posiada duże możliwości. Podstawowymi cechami
programu są nieograniczona precyzja, możliwość rysowania wykresów i
graficzny interfejs (GTK+).

%package search-provider
Summary:	Qalculate-gtk search provider for GNOME Shell
Summary(pl.UTF-8):	Usługa wyszukiwania Qalculate-gtk dla powłoki GNOME
Group:		Applications/Math
Requires:	%{name} = %{version}-%{release}
Requires:	gnome-shell >= 3

%description search-provider
Qalculate-gtk search provider for GNOME Shell.

%description search-provider -l pl.UTF-8
Usługa wyszukiwania Qalculate-gtk dla powłoki GNOME.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged in doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/qalculate-gtk

%{__mv} $RPM_BUILD_ROOT/%{_localedir}/pt{_PT,}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post

%postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/html
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_mandir}/man1/qalculate-gtk.1.*
%{_iconsdir}/hicolor/*x*/apps/qalculate.png
%{_iconsdir}/hicolor/scalable/apps/qalculate.svg
%{_datadir}/metainfo/qalculate-gtk.appdata.xml

%files search-provider
%defattr(644,root,root,755)
%attr(755,roor,root) %{_libexecdir}/qalculate-search-provider
%{_datadir}/dbus-1/services/io.github.Qalculate.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/io.github.Qalculate.search-provider.ini
%changelog
* Tue May 07 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qalculate-gtk.git;a=log;h=master

* Tue May 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 918c32a
- LANG: pt, rel: 2

* Tue May 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 80ee868
- up to 5.1.0

* Tue Mar 12 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 58907f9
- up to 5.0.0

* Tue Nov 28 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 81209c3
- up to 4.9.0

* Tue Aug 22 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8e4135f
- up to 4.8.0

* Tue Jul 04 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8c57521
- up to 4.7.0

* Mon Apr 17 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c3f2723
- up to 4.6.1

* Tue Mar 07 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 04ad067
- up to 4.6.0

* Tue Jan 24 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 33d6f8d
- up to 4.5.1

* Thu Oct 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7c9824a
- URL update

* Thu Oct 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3bdf4bf
- up to 4.3.0

* Tue Apr 16 2019 Adam Gołębiowski <adamg@pld-linux.org> 34ee069
- updated to 3.1.0

* Sat Feb 16 2019 Jan Rękorajski <baggins@pld-linux.org> 7976c2f
- up to 2.9.0

* Sat Oct 24 2015 Elan Ruusamäe <glen@delfi.ee> ceb4da7
- seems to work without gnuplot, make it optional

* Sat Oct 24 2015 Elan Ruusamäe <glen@delfi.ee> 1089392
- builds with rebuilt libqalculate

* Sat Oct 24 2015 Elan Ruusamäe <glen@delfi.ee> 0a31514
- add qalculate-wformat-security.patch from fedora

* Sat Oct 24 2015 Elan Ruusamäe <glen@delfi.ee> 2475566
- update desktop: Update to latest freedesktop spec.

* Sat Oct 24 2015 Elan Ruusamäe <glen@delfi.ee> b260534
- up to 0.9.7, does not compile

* Tue Jun 19 2007 Robert Tomasik <rotom@pld-linux.org> debb99c
- up to 0.9.5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 531301b
- updated to 0.5.1

